From 3042ea74c38c4cf55fc7eb9fee8f9501a699d38b Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 15 Feb 2025 06:03:52 +0000
Subject: [PATCH] libx11: upgrade 1.8.10 -> 1.8.11

---
 .../xorg-lib/libx11/disable_tests.patch       | 24 +++++++++++++------
 .../{libx11_1.8.10.bb => libx11_1.8.11.bb}    |  2 +-
 2 files changed, 18 insertions(+), 8 deletions(-)
 rename meta/recipes-graphics/xorg-lib/{libx11_1.8.10.bb => libx11_1.8.11.bb} (92%)

diff --git a/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch b/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch
index c1b6cde534..0f2f815db7 100644
--- a/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch
+++ b/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch
@@ -1,3 +1,8 @@
+From f52460d13d82a37670e29d554c578925085c0561 Mon Sep 17 00:00:00 2001
+From: Marko Lindqvist <cazfi74@gmail.com>
+Date: Tue, 8 Jan 2013 09:16:37 +0200
+Subject: [PATCH] libx11: disable tests
+
 Upstream-Status: Inappropriate [disable feature]
 
 Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
@@ -5,18 +10,23 @@ Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
 Update for 1.6.1
 
 Signed-off-by: Kai Kang <kai.kang@windriver.com>
+---
+ nls/Makefile.am | 5 -----
+ 1 file changed, 5 deletions(-)
 
-diff -Nurd libX11-1.5.0/nls/Makefile.am libX11-1.5.0/nls/Makefile.am
---- libX11-1.5.0/nls/Makefile.am	2012-06-02 09:37:18.000000000 +0300
-+++ libX11-1.5.0/nls/Makefile.am	2013-01-02 16:10:24.960156131 +0200
-@@ -36,11 +36,6 @@
+diff --git a/nls/Makefile.am b/nls/Makefile.am
+index 7eda58e..4d4050b 100644
+--- a/nls/Makefile.am
++++ b/nls/Makefile.am
+@@ -36,11 +36,6 @@ locale.dir: locale.dir.pre
          < locale.dir.l1 > locale.dir.l2
-	cat locale.dir.l2 locale.dir.l1 > locale.dir
-
+ 	cat locale.dir.l2 locale.dir.l1 > locale.dir
+ 
 -if HAVE_PERL
 -LOG_COMPILER = $(PERL)
 -TESTS = compose-check.pl
 -endif HAVE_PERL
 -
-
+ 
  # Per-locale data files
+ 
diff --git a/meta/recipes-graphics/xorg-lib/libx11_1.8.10.bb b/meta/recipes-graphics/xorg-lib/libx11_1.8.11.bb
similarity index 92%
rename from meta/recipes-graphics/xorg-lib/libx11_1.8.10.bb
rename to meta/recipes-graphics/xorg-lib/libx11_1.8.11.bb
index eda184cb35..d7c34c74a1 100644
--- a/meta/recipes-graphics/xorg-lib/libx11_1.8.10.bb
+++ b/meta/recipes-graphics/xorg-lib/libx11_1.8.11.bb
@@ -24,7 +24,7 @@ XORG_PN = "libX11"
 
 SRC_URI += "file://disable_tests.patch"
 
-SRC_URI[sha256sum] = "2b3b3dad9347db41dca56beb7db5878f283bde1142f04d9f8e478af435dfdc53"
+SRC_URI[sha256sum] = "3b74e82943924b45a0b778cc6842976909c3010d9445a8fd185e1dca4d380e88"
 
 inherit gettext
 
-- 
2.44.1

